/* !! USAR DURANTE CONVIVENCIA ENTRE ESTILOS BASE. ELIMINAR CUANDO EL 100% DE LA IMPLANTACIÓN DEL NUEVO REDISEÑO ESTÉ COMPLETADA */

#popupWindow {
    display: grid !important;
}
#popupContent {
    position: absolute;
}
.reveal-modal > div > div {
    background-color: transparent;
    background: var(--Bases-Pure-White, #FCFCFC);
    color: var(--Bases-Darkest, #252525);
    width: 328px;
    box-shadow: 0 0 8px rgba(0, 0, 0, 0.40);
    border: none;
    max-height: 95vh;
}
@media screen and (max-width: 1400px) {
    #popupContent {
        width: 328px !important;
    }
}
@media (max-width: 768px) {
    .reveal-modal #popupContent {
        min-height: 464px;
        margin-bottom: 0;
    }
    .reveal-modal > div > div {
        border-radius: var(--Size-Mini, 4px);
    }
    #popupContent {
        width: 328px !important;
    }
}

/* FIN DE ADVERTENCIA */
/* ------------------ */


/* Modal core styles */
.modal {
    display: block;
    position: relative;
    grid-column: 7 / 11;
    grid-row: 2 / -1;
    justify-self: center;
    background: var(--Bases-Pure-White, #FCFCFC);
    width: 328px;
    min-height: 464px;
    height: auto;
    left: auto;
    border-radius: var(--Size-Mini, 4px);
    box-shadow: 0 0 8px rgba(0, 0, 0, 0.40);
    z-index: 100;
    transition: all .3s;
}
@media screen and (max-width: 1279px) {
    .modal {
        grid-column: 5 / 9;
    }
}
@media screen and (max-width: 767px) {
    .modal {
        grid-column: unset;
        grid-column-start: 1;
    }
    .modal,
    .modal * {
        scrollbar-width: none;
    }
}
.modal[data-expanded="true"] {
    min-height: 524px;
}
.modal::-webkit-scrollbar-track,
.modal *::-webkit-scrollbar-track {
    background-color: transparent;
}
.modal::-webkit-scrollbar-thumb,
.modal *::-webkit-scrollbar-thumb {
    background-color: var(--Bases-Light-Gray, #ECECEC);
}

.modal.modal--show {
    transform: translateY(0);
    opacity: 1 !important;
}
.modal.modal--show.modal--centered {
    top: 50%;
    transform: translateY(-50%);
}
.modal.modal--hide {
    transform: translateY(100vh);
    opacity: 0 !important;
}
.modal.modal--hide.modal--centered {
    top: 50%;
}
/* user menu tooltip */
.modal.modal-user-menu.modal--show {
    transform: none;
    opacity: 1 !important;
}
.modal.modal-user-menu.modal--hide {
    transform: none;
    opacity: 0 !important;
}

.modal-position {
    grid-column: auto;
    top: 68px;
    right: 35px;
}
@media screen and (max-width: 425px) {
    .modal-position {
        right: auto;
        top: 136px;
    }
}
@media (min-width: 425px) and (max-width: 767px) {
    .modal-position {
        /*right: auto;*/
        top: 136px;
    }
}
@media (min-width: 768px) and (max-width: 1279px) {
    .modal-position {
        /*right: auto;*/
        top: 86px;
    }
}

#popup-tooltip-tip {
    transition: all .3s;
}
#popup-tooltip-tip.modal--show {
    /*transform: translateY(0);*/
    opacity: 1 !important;
}
#popup-tooltip-tip.modal--hide {
    /*transform: translateY(100vh);*/
    opacity: 0 !important;
}
/* user menu tooltip */

.modal__contents {
    position: static;
}

/* Modal header component */
.modal__header {
    background: var(--Bases-Pure-White, #FCFCFC);
    height: 40px;
    position: sticky;
    top: 0;
    z-index: 1;
    padding: var(--Size-Smallest, 8px);
}
.modal__header[data-infoType="warning"] {
    background: var(--Semanticos-Warning, #FFC300);
}

.modal__header .header__line {
    background: var(--Bases-Darker-Gray, #2D2D2D);
    border-radius: var(--Size-Mini, 4px);
    margin: 0 2px var(--Size-Smallest, 8px) 2px;
    width: 33.33%;
    height: var(--Size-Mini, 4px);
}
.modal__header .header__msg .msg__img {
    height: var(--Size-Huge, 24px);
    width: var(--Size-Huge, 24px);
    position: relative;
    bottom: 1px;
    margin-right: var(--Size-Smallest, 8px);
}

.modal__closer {
    height: var(--Size-Huge, 24px);
    width: var(--Size-Huge, 24px);
}
.modal__arrow--back {
    height: var(--Size-Gigantic, 28px);
    width: var(--Size-Gigantic, 28px);
    transition: opacity 0.3s;
}
.modal__closer:hover, 
.modal__arrow--back:hover {
    cursor: pointer;
}
.modal__closer:hover path, 
.modal__arrow--back:hover path {
    fill: var(--Principales-Verde-primario, #05E172);
}

/* Modal message band component */
.modal__message {
    opacity: 0;
    min-height: 0;
    width: 100%;
    padding: 0 28px 0 28px;
    border: none;
    transition: all .3s;
    font-family: 'Inter';
}
.modal[data-status="info"] .modal__message {
    background: var(--Semanticos-Info---Dark, #178FBB);
}
.modal[data-status="error"] .modal__message {
    background: var(--Semanticos-Error---Light, #F8394E);
}
.modal[data-expanded="true"] .modal__message {
    opacity: 1;
    min-height: 60px;
}
.modal[data-expanded="false"] .modal__message {
    max-height: 0;
}
.modal__message .message__container {
    padding: var(--Size-Extrabig, 20px) 0 var(--Size-Extrabig, 20px) 0;
}
.modal__message .message__icon {
    width: var(--Size-Huge, 24px);
    height: var(--Size-Huge, 24px);
    margin-right: var(--Size-Smallest, 8px);
}
.modal__message .message__closer {
    width: var(--Size-Big, 16px);
    height: var(--Size-Big, 16px);
    margin-left: var(--Size-Smallest, 8px);
}
.modal__message .message__closer:hover {
    cursor: pointer;
}

/* Modal links */
.modal__link:active {
    text-decoration: underline;
    text-decoration-color: var(--Principales-Verde-secundario, #0CAB5A);
    text-underline-offset: 3px;
}

/* Modal pseudoalert specificity */
.modal .bplay25-pseudoalert {
    width: 272px;
}
.modal .bplay25-pseudoalert--pending {
    width: 264px;
    padding: 0;
}